<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerschiebenWunschDialog;

class TerminVerschiebenWunschDialogController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TerminVerschiebenWunschDialogUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $result = new TerminVerschiebenWunschDialogRequest();
    $result->belegId = \GetOperations::getVarValue('belid');
    $result->ktId = \GetOperations::getVarValue('ktId');

    return $result;
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new TerminVerschiebenWunschDialogPresenter($pUseCaseResponse);
  }
}